### Method

# Foundry BuildAddin discover_build_system

since: 1.1

#### Declaration [src]

    DexFuture*
    foundry_build_addin_discover_build_system (
      FoundryBuildAddin* self
    )

#### Description [src]

Discover the build system used by the project.

This may be called before `Foundry.BuildAddinClass.load` is called so that addins may discover what build system should be used. If the user has already specified a build system then this will not be called during pipeline initialization.

Available since: 1.1

#### Return value

Type: `DexFuture`

A `DexFuture` that resolves to a string name of the build system or rejects with error.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.